# Uses of Interface
org.bukkit.block.EndGateway

Packages that use EndGateway
Package
Description
com.destroystokyo.paper.event.entity
com.destroystokyo.paper.event.player

## Uses of EndGateway in com.destroystokyo.paper.event.entity

Methods in com.destroystokyo.paper.event.entity that return EndGateway
Modifier and Type
Method
Description
`@NotNull EndGateway`
EntityTeleportEndGatewayEvent.`getGateway()`
The gateway triggering the teleport
Constructors in com.destroystokyo.paper.event.entity with parameters of type EndGateway
Modifier
Constructor
Description
``
`EntityTeleportEndGatewayEvent(@NotNull Entity what, @NotNull Location from, @NotNull Location to, @NotNull EndGateway gateway)`

## Uses of EndGateway in com.destroystokyo.paper.event.player

Methods in com.destroystokyo.paper.event.player that return EndGateway
Modifier and Type
Method
Description
`@NotNull EndGateway`
PlayerTeleportEndGatewayEvent.`getGateway()`
The gateway triggering the teleport
Constructors in com.destroystokyo.paper.event.player with parameters of type EndGateway
Modifier
Constructor
Description
``
`PlayerTeleportEndGatewayEvent(@NotNull Player player, @NotNull Location from, @NotNull Location to, @NotNull EndGateway gateway)`